- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::TorsSimpleCo Class Reference

The TorsSimpleCo class describes an torsion internal coordinate of a molecule. More...

`#include <simple.h>`

Inheritance diagram for sc::TorsSimpleCo:

List of all members.

## Public Member Functions
| TorsSimpleCo (const TorsSimpleCo &)
| TorsSimpleCo (const char *refr, int, int, int, int)
| This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd.
| TorsSimpleCo (const Ref< KeyVal > &)
| The KeyVal constructor.
const char * | ctype () const
| Always returns the string "TORS".
double | radians () const
| Returns the value of the angle abc in radians.
double | degrees () const
| Returns the value of the angle abc in degrees.
double | preferred_value () const
| Returns the value of the angle abc in degrees.

## Detailed Description

The TorsSimpleCo class describes an torsion internal coordinate of a molecule.

The input is described in the documentation of its parent class SimpleCo.

Designating the four atoms as , , , and and their cartesian positions as , , , and , the value of the coordinate, , is given by

## Constructor & Destructor Documentation

sc::TorsSimpleCo::TorsSimpleCo | ( | const char * | refr,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  |

This constructor takes a string containing a label, and four integers a, b, c, and d which give the indices of the atoms involved in the torsion angle abcd.

Atom numbering begins at atom 1, not atom 0.

sc::TorsSimpleCo::TorsSimpleCo | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

This calls the SimpleCo keyval constructor with an integer argument of 4.

The documentation for this class was generated from the following file:

- simple.h